Subject: Re: [PATCH] Update, and clear up the pack format documentation a bit

From: Junio C Hamano <[email-masked]>
Date: Sat, 05 Apr 2008 23:16:35 -0700

"Shawn O. Pearce" <[email-masked]> writes:

> Peter Eriksen <[email-masked]> wrote:
> ...
>> +     (for object type ofs_delta)
>> +     n-byte offset (n*7-bit as above, but with size0 being 7 bit)     
>> +     compressed delta data
>> +
>
> That is not correct.  The ofs_delta is encoded as an n-byte offset
> that is subtracted from the current object's first byte (the byte
> holding the type/representation field and first 4 bits of length).

Right.  Saying just "n-byte offset" can be mistaken as the offset from the
beginning of the file, and making it clear that it is relative is good.

> The n-byte encoding for an ofs_delta is different then the one
> used for the length.  We add 1 for each byte where the MSB is 1.
> We also store the data in big-endian form (the most significant
> byte is first and the least significant byte is last).

Ah, I forgot about that one.